addMarginal {Hmisc} | R Documentation

## Add Marginal Observations

### Description

Given a data frame and the names of variable, doubles the data frame for each variable with a new category `"All"` by default, or by the value of `label`. A new variable `.marginal.` is added to the resulting data frame, with value `""` if the observation is an original one, and with value equal to the names of the variable being marginalized (separated by commas) otherwise. If there is another stratification variable besides the one in ..., and that variable is nested inside the variable in ..., specify `nested=variable name` to have the value of that variable set fo `label` whenever marginal observations are created for .... See the state-city example below.

### Usage

    addMarginal(data, ..., label = "All", margloc=c('last', 'first'), nested)

### Arguments

`data` | a data frame
`...` | a list of names of variables to marginalize
`label` | category name for added marginal observations
`margloc` | location for marginal category within factor variable specifying categories. Set to `"first"` to override the default - to put a category with value `label` as the first category.
`nested` | a single unquoted variable name if used

### Examples

    d <- expand.grid(sex=c('female', 'male'), country=c('US', 'Romania'),
                     reps=1:2)
    addMarginal(d, sex, country)

    # Example of nested variables
    d <- data.frame(state=c('AL', 'AL', 'GA', 'GA', 'GA'),
                    city=c('Mobile', 'Montgomery', 'Valdosto',
                           'Augusta', 'Atlanta'),
                    x=1:5)
    addMarginal(d, state, nested=city) # cite set to 'All' when state is

[Package Hmisc version 4.0-3 Index]